Class UmlBaseActualParameter

This class manages 'actual parameters' of a template class. For instance T in
class Cl1 : public Cl2<T> ...

Declaration :

- C++ : class UmlBaseActualParameter
- Java : abstract class UmlBaseActualParameter

Directly inherited by : UmlActualParameter

Artifact : UmlBaseActualParameter

Operation UmlBaseActualParameter

Declaration :

- Uml : + UmlBaseActualParameter() :
- C++ : public: UmlBaseActualParameter()
- Java : public UmlBaseActualParameter()

Operation superClass

returns the class of the corresponding formal

Declaration :

- Uml : + superClass() : UmlClass
- C++ : public: UmlClass * superClass() const
- Java : public final UmlClass superClass()

Operation rank

returns the actual rank (0...)

Declaration :

- Uml : + rank() : unsigned
- C++ : public: unsigned rank() const
- Java : public final int rank()

Operation value

returns the actual's value

Declaration :

- Uml : + value() : UmlTypeSpec
- C++ : public: const UmlTypeSpec & value() const
- Java : public final UmlTypeSpec value()

Relation _superClass (<unidirectional association>)

Declaration :

- Uml : # _superClass : UmlClass
- C++ : protected: UmlClass * _superClass
- Java : protected UmlClass _superClass

Attribut _rank

Declaration :

- Uml : # _rank : unsigned
- C++ : protected: unsigned _rank
- Java : protected int _rank

Relation _value (<directional composition>)

Declaration :

- Uml : # _value : UmlTypeSpec
- C++ : protected: UmlTypeSpec _value
- Java : protected UmlTypeSpec _value

Operation read_

internal, do NOT use it

Declaration :

- Uml : # read_() : void
- C++ : protected: void read_()
- Java : protected void read_()

Extra Class Member friend

Definition :

- C++ :

        friend class UmlBaseClass;

All public operations : rank , superClass , value